<h2 mat-dialog-title>Process Variable</h2>
<button mat-dialog-close
        mat-icon-button
        title="close"
        class="btn-icon-dialog-close">
  <mat-icon>close</mat-icon>
</button>
<div mat-dialog-content
     class="padding-0">
  <form autocomplete="off"
        [formGroup]="form">
    <div class="has-mat-table-below form-group-horizontal">
      <span>Start Date</span>
      <mat-form-field floatLabel="never">
        <input matInput
               [matDatepicker]="picker"
               placeholder="Choose a date"
               formControlName="startDate">
        <mat-datepicker-toggle matSuffix
                               [for]="picker"></mat-datepicker-toggle>
        <mat-datepicker #picker></mat-datepicker>
      </mat-form-field>
      <mat-form-field floatLabel="never"
                      style="width:100px;">
        <input matInput
               formControlName="startTime"
               type="time"
               placeholder="HH:MM">
      </mat-form-field>
      <button mat-flat-button
              class="btn-round"
              (click)="saveDateTime()"
              [disabled]="savingdateTime || !canEdit || !form.valid">Set<app-spinner button
                     class="inline-spinner"
                     *ngIf="savingdateTime"></app-spinner></button>

    </div>
  </form>
  <mat-table [dataSource]="dataSource"
             class="app-table-grid">
    <!--- Note that these columns can be defined in any order.
          The actual rendered columns are set as a property on the row definition" -->


    <!-- Name Column -->
    <ng-container matColumnDef="name">
      <mat-header-cell mat-header-cell
                       class="flex-md"
                       *matHeaderCellDef> Name </mat-header-cell>
      <mat-cell mat-cell
                class="flex-md"
                *matCellDef="let element"> {{element.label}} </mat-cell>
    </ng-container>

    <!-- Type Column -->
    <ng-container matColumnDef="type">
      <mat-header-cell mat-header-cell
                       class="flex-xs"
                       *matHeaderCellDef> Type </mat-header-cell>
      <mat-cell mat-cell
                class="flex-xs"
                *matCellDef="let element"> {{element.type}} </mat-cell>
    </ng-container>

    <!-- Value Column -->
    <ng-container matColumnDef="value">
      <mat-header-cell mat-header-cell
                       class="flex-md"
                       *matHeaderCellDef> Value </mat-header-cell>
      <mat-cell mat-cell
                class="flex-md mat-form-cell"
                *matCellDef="let element">
        <mat-radio-group *ngIf="element.type === 'B'"
                         [(ngModel)]="element.value">
          <mat-radio-button [value]="true">True</mat-radio-button>
          <mat-radio-button [value]="false">False</mat-radio-button>
        </mat-radio-group>
        <mat-form-field floatLabel="never"
                        style="width:120px;"
                        class="native-form-field"
                        *ngIf="element.type !== 'B'">

          <input matInput
                 placeholder="Enter number"
                 [(ngModel)]="element.value">
        </mat-form-field>
      </mat-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
  </mat-table>
  <!-- <div class="mat-row mat-row-table-empty"
       role="row"
       *ngIf="!dataSource.length">
    <div class="mat-cell"
         role="gridcell">No process variables exists</div>
  </div> -->
</div>
<mat-dialog-actions *ngIf="dataSource.length">
  <button mat-flat-button
          class="btn-round"
          (click)="save()"
          [disabled]="saving ||!canEdit">Set<app-spinner button
                 class="inline-spinner"
                 *ngIf="saving"></app-spinner></button>

</mat-dialog-actions>
